JGraph.GraphSelectionRedirector (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.JGraph.GraphSelectionRedirector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph
Class JGraph.GraphSelectionRedirector

    java.lang.Object
      org.jgraph.JGraph.GraphSelectionRedirector

All Implemented Interfaces:
  EventListener, GraphSelectionListener, Serializable

Enclosing class:
  JGraph

protected class JGraph.GraphSelectionRedirector
extends Object
implements Serializable, GraphSelectionListener

Handles creating a new `GraphSelectionEvent` with the `JGraph` as the source and passing it off to all the listeners.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`protected` | `JGraph.GraphSelectionRedirector()`

Method Summary
`void` | `valueChanged(GraphSelectionEvent e)` Invoked by the `GraphSelectionModel` when the selection changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JGraph.GraphSelectionRedirector

    protected JGraph.GraphSelectionRedirector()

Method Detail

### valueChanged

    public void valueChanged(GraphSelectionEvent e)

  Invoked by the `GraphSelectionModel` when the selection changes.

  Specified by:
    `valueChanged` in interface `GraphSelectionListener`
  Parameters:
    `e` - the `GraphSelectionEvent` generated by the `GraphSelectionModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.